Name:		rocs
Summary:	Graph - Editor and a Programming Environement
Version: 4.9.3
Release: 1
Group:		Graphical desktop/KDE
License:	GPLv2 LGPLv2 GFDL
URL:		http://edu.kde.org/rocs
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	boost-devel

%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results
of a graph algorithm and also helping students to do the algorithms.
Rocs has a scripting module, done in Qt Script, that interacts with the drawn
graph and every change in the graph with the script is reflected on the drawn
one.

%files
%doc AUTHORS COPYING COPYING.LIB.LGPL-2 COPYING.LIB.LGPL-2.1 COPYING.DOC README HACKING.txt 
%doc %{_kde_docdir}/HTML/en/rocs
%{_kde_bindir}/rocs
%{_kde_appsdir}/rocs
%{_kde_appsdir}/rocs_rootedtree
%{_kde_applicationsdir}/rocs.desktop
%{_kde_datadir}/config.kcfg/rocs.kcfg
%{_kde_configdir}/rocs.knsrc
%{_kde_libdir}/kde4/rocs_plaintxt.so
%{_kde_libdir}/kde4/rocs_GraphStructure.so
%{_kde_libdir}/kde4/rocs_ListStructure.so
%{_kde_libdir}/kde4/rocs_assignvaluesplugin.so
%{_kde_libdir}/kde4/rocs_generategraphplugin.so
%{_kde_libdir}/kde4/rocs_transformedgesplugin.so
%{_kde_libdir}/kde4/rocs_GMLParser.so
%{_kde_libdir}/kde4/rocs_dotFilePlugin.so
%{_kde_libdir}/kde4/rocs_RootedTreeStructure.so
%{_kde_services}/rocs_GMLParser.desktop
%{_kde_services}/rocs_dotFilePlugin.desktop
%{_kde_services}/rocs_plaintxtplugin.desktop
%{_kde_services}/rocs_GraphStructure.desktop
%{_kde_services}/rocs_ListStructure.desktop
%{_kde_services}/rocs_assignvaluesplugin.desktop
%{_kde_services}/rocs_generategraphplugin.desktop
%{_kde_services}/rocs_transformedgesplugin.desktop
%{_kde_services}/rocs_RootedTreeStructure.desktop
%{_kde_servicetypes}/RocsFilePlugin.desktop
%{_kde_servicetypes}/RocsToolsPlugin.desktop
%{_kde_servicetypes}/RocsDataStructurePlugin.desktop

#---------------------------------------------

%define rocslib_major 4
%define librocslib %mklibname rocslib %{rocslib_major}

%package -n %{librocslib}
Summary:	Runtime library for Rocs
Group:		System/Libraries

%description -n %{librocslib}
Runtime library for Rocs

%files -n %{librocslib}
%{_kde_libdir}/librocslib.so.%{rocslib_major}*

#---------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdelibs4-devel
Requires:	%{librocslib} = %{EVRD}
Requires:	boost-devel
Conflicts:	kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%{_includedir}/rocs
%{_kde_libdir}/librocslib.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 4.9.3-1
+ Revision: 822133
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 4.9.2-1
+ Revision: 818270
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 4.9.0-1
+ Revision: 811797
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Adjust spec cosmetics

* Mon Jul 16 2012 Crispin Boylan <crisb@mandriva.org> 4.8.97-1
+ Revision: 809752
- New release

* Sat Jun 09 2012 Crispin Boylan <crisb@mandriva.org> 4.8.4-1
+ Revision: 803746
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 4.8.3-1
+ Revision: 796305
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 4.8.2-1
+ Revision: 792033
- New release

* Wed Mar 07 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.1-1
+ Revision: 782890
- New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.0-1
+ Revision: 762504
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.97-1
+ Revision: 758089
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.95-1
+ Revision: 744568
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.90-1
+ Revision: 739323
- New upstream tarball $NEW_VERSION

* Thu Nov 24 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.80-1
+ Revision: 733071
- New upstream tarball 4.7.80

* Wed Nov 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.41-1
+ Revision: 729219
- Import package

